{*
  mememe                                     ememem
    \ememememem                       ememememem/ 
     ememememememem               ememememememem  
      emememememememe           emememememememe   
         \memememememem       ememememememe/      
         emememememememe     emememememememe     
                 emememem   ememememe              
                     ememe ememe                   
                       emememe                     
                         eme
                          e 
 
    ^^ This block is important when the customer is using a purchase template. 
*}
{assign var="productid" value=$product.id}

<section id="selectcategorypro2-17">
    <h2>{l s='Selected Products Pro (2)' mod='selectcategorypro2'}</h2>    
    <div class="products">
    {foreach from=$products item="product"} 
    {if $productid != $product.id_product}
        {block name='product_miniature_item'}
          <article class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" itemscope itemtype="http://schema.org/Product">
            <div class="thumbnail-container">                
                
                <div class="product-container-img">
                    {block name='product_thumbnail'}
                      <a href="{$product.url}" class="thumbnail product-thumbnail product_img_link">
                        <img
                          src = "{$product.cover.bySize.home_default.url}"
                          alt = "{$product.cover.legend}"
                          data-full-size-image-url = "{$product.cover.large.url}"
                        >
                      </a>
                    {/block}
                    <div class="label">
                        {if isset($product.new) && $product.new == 1}
                        <a class="new-box" href="{$product.link|escape:'html':'UTF-8'}">
                            <span class="new-label">{l s='New'}</span>
                        </a>
                        {/if}
                        {if $product.has_discount}
                          <a class="sale-box" href="{$product.link|escape:'html':'UTF-8'}">
                             {if $product.discount_type === 'percentage'}
                                <span class="price-percent-reduction">{$product.discount_percentage}</span>
                            {else}
                                <span class="sale-label">{l s='Sale'}</span>
                            {/if}	
                            </a>
                        {/if}

                    </div>
                    {hook h='displayCountDownProduct' product=$product prev_id='prod_home'}
                </div>                

                <div class="product-description">
                {block name='product_name'}
                  {if $page.page_name == 'index'}
                    <h3 class="h3 product-title" itemprop="name"><a href="{$product.url}">{$product.name|truncate:30:'...'}</a></h3>
                  {else}
                    <h2 class="h3 product-title" itemprop="name"><a href="{$product.url}">{$product.name|truncate:30:'...'}</a></h2>
                  {/if}
                {/block}

                {block name='product_price_and_shipping'}
                  {if $product.show_price}
                    <div class="product-price-and-shipping">
                      {if $product.has_discount}
                        {hook h='displayProductPriceBlock' product=$product type="old_price"}

                        <span class="sr-only">{l s='Regular price' mod='selectcategorypro2'}</span>
                        <span class="regular-price">{$product.regular_price}</span>
                        {if $product.discount_type === 'percentage'}
                          <span class="discount-percentage discount-product">{$product.discount_percentage}</span>
                        {elseif $product.discount_type === 'amount'}
                          <span class="discount-amount discount-product">{$product.discount_amount_to_display}</span>
                        {/if}
                      {/if}

                      {hook h='displayProductPriceBlock' product=$product type="before_price"}

                      <span class="sr-only">{l s='Price' mod='selectcategorypro2'}</span>
                      <span itemprop="price" class="price">{$product.price}</span>

                      {hook h='displayProductPriceBlock' product=$product type='unit_price'}

                      {hook h='displayProductPriceBlock' product=$product type='weight'}
                    </div>
                  {/if}
                {/block}

                {block name='product_reviews'}
                  {hook h='displayProductListReviews' product=$product}
                {/block}
                </div>

                <!-- @todo: use include file='catalog/_partials/product-flags.tpl'} -->
                {block name='product_flags'}
                <ul class="product-flags">
                  {foreach from=$product.flags item=flag}
                    <li class="product-flag {$flag.type}">{$flag.label}</li>
                  {/foreach}
                </ul>
                {/block}

                <div class="highlighted-informations{if !$product.main_variants} no-variants{/if} hidden-sm-down">
                {block name='product_variants'}
                  {if $product.main_variants}
                    {include file='catalog/_partials/variant-links.tpl' variants=$product.main_variants}
                  {/if}
                {/block}
                    <div class="prod-hover">
                        <a href="#" class="quick-view" data-link-action="quickview">
                            <i class="material-icons search">&#xE8F4;</i> {l s='Quick view' mod='selectcategorypro2'}
                        </a>
                    </div>
                </div>
                
            </div>
          </article>
        {/block}
    {/if}
    {/foreach}
    </div>    
    {if isset($category_link_accept) && $category_link_accept}
    <a href="{$category_link}">{l s='All products' mod='selectcategorypro2'}</a>
    {/if}
</section>
 